Bug 1820147 - UPI Vmware test runs fail with invalid internal LB hostname in certificates
Summary: UPI Vmware test runs fail with invalid internal LB hostname in certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1820145
TreeView+ depends on / blocked
 
Reported: 2020-04-02 11:23 UTC by Stefan Schimanski
Modified: 2020-07-13 17:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1820145
Environment:
Last Closed: 2020-07-13 17:25:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 810 0 None closed Bug 1820147: certrotationcontroller: fix typo calling wrong internal LB func 2021-01-25 07:30:07 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:25:22 UTC

Description Stefan Schimanski 2020-04-02 11:23:22 UTC
+++ This bug was initially created as a clone of Bug #1820145 +++

Description of problem:

UPI Vmware test runs fail with invalid internal LB hostname in certificates

Version-Release number of selected component (if applicable):

4.4, 4.5

Actual results:

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-4.4/1357

Comment 3 Ke Wang 2020-04-03 10:30:41 UTC
@Stefan, Could you point me the related error message in https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-4.4/1357? 
I guess just like below, right? I am not sure since I saw the change only one typo calling wrong internal LB in PR.

Mar 30 10:33:23.303: FAIL: Get https://api.ci-op-7zg3gn6s-e99c3.origin-ci-int-aws.dev.rhcloud.com:6443/apis/user.openshift.io/v1/users/~: x509: certificate is valid for api.ci-op-4byd7z0v-3858a.origin-ci-int-aws.dev.rhcloud.com, not api.ci-op-7zg3gn6s-e99c3.origin-ci-int-aws.dev.rhcloud.com

To verify this bug, I just check no related errors in install log, is this enough? If you have comments about this, let me know. Thanks.

Comment 6 errata-xmlrpc 2020-07-13 17:25:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.